<launch>
  <arg name="namespace" default="detection/shape_estimation" />
  <arg name="input" default="unbounded_objects"/>
  <arg name="output" default="objects"/>

  <group ns="$(arg namespace)">
    <remap from="input_objects" to="$(arg input)" />
    <remap from="objects" to="$(arg output)" />

    <node pkg="lidar_shape_estimation" type="lidar_shape_estimation"
      name="lidar_shape_estimation" output="screen" />

    <node pkg="detected_objects_visualizer" type="visualize_detected_objects"
      name="shape_estimation_visualization" output="screen" />
  </group>
</launch>
